import request from '@/utils/request'

// 查询通告报名名片列表
export function listCard(query) {
  return request({
    url: '/busi/card/list',
    method: 'get',
    params: query
  })
}

// 查询通告报名名片详细
export function getCard(id) {
  return request({
    url: '/busi/card/' + id,
    method: 'get'
  })
}

// 新增通告报名名片
export function addCard(data) {
  return request({
    url: '/busi/card',
    method: 'post',
    data: data
  })
}

// 修改通告报名名片
export function updateCard(data) {
  return request({
    url: '/busi/card',
    method: 'put',
    data: data
  })
}

// 删除通告报名名片
export function delCard(id) {
  return request({
    url: '/busi/card/' + id,
    method: 'delete'
  })
}
